import { useState } from 'react';
import { startOfMonth, getDaysOfMonth } from './utils';
export function useCalendar(month) {
    if (month === void 0) { month = new Date(); }
    var _a = useState(startOfMonth(month)), currentMonth = _a[0], setCurrentMonth = _a[1];
    var days = getDaysOfMonth(currentMonth);
    return {
        days: days,
        setMonth: function (date) {
            setCurrentMonth(date);
        },
        month: currentMonth
    };
}
