export interface DayOfMonth {
    date: Date;
    inCurrentMonth: boolean;
}
export declare type DaysOfMonth = DayOfMonth[][];
export declare function setDay(date: Date, day: number): Date;
export declare function addDays(date: Date, days: number): Date;
export declare function setMonth(date: Date, month: number): Date;
export declare function addMonths(date: Date, months: number): Date;
export declare function setYear(date: Date, year: number): Date;
export declare function startOfMonth(date: Date): Date;
export declare function endOfMonth(date: Date): Date;
export declare function isSameMonth(dateLeft: Date, dateRight: Date): boolean;
export declare function isSameDay(dateLeft: Date, dateRight: Date): boolean;
export declare function isDayAfter(date: Date, dateToCompare: Date): boolean;
export declare function isDayBefore(date: Date, dateToCompare: Date): boolean;
export declare function callIfExists(callback?: any, ...args: any[]): void;
export declare function getDaysOfMonth(month: Date): DayOfMonth[][];
