"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var utils_1 = require("./utils");
function useCalendar(month) {
    if (month === void 0) { month = new Date(); }
    var _a = react_1.useState(utils_1.startOfMonth(month)), currentMonth = _a[0], setCurrentMonth = _a[1];
    var days = utils_1.getDaysOfMonth(currentMonth);
    return {
        days: days,
        setMonth: function (date) {
            setCurrentMonth(date);
        },
        month: currentMonth
    };
}
exports.useCalendar = useCalendar;
